(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8680,        198]
NotebookOptionsPosition[      8069,        179]
NotebookOutlinePosition[      8506,        196]
CellTagsIndexPosition[      8463,        193]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"662c4443-254e-4e7d-9bf2-d2f2e4d3ac7b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "0"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "2"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.819458856944426*^9, 3.8194589208280315`*^9}, {
  3.819458950968675*^9, 3.8194589974957137`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"d075078d-6d52-4026-92c7-08ab670a5135"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {2, 3}, {2, 2}, {3, 
       3}, {3, 4}, {4, 2}, {4, 3}}, Null}, {EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/2", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 0]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/3", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/2"}, 
       EdgeWeight -> {"", "a/0", "b/2", "a/1", "b/0", "a/3", "b/2"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.43597663168935585`}, {1.1473964668235679`, 
          0.4359636363470484}}, 0.023350154254437705`], 
         InsetBox["\<\"\"\>", {0.5736982334117839, 0.4359701340182021}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1473964668235679`, 0.4359636363470484}, {
          1.3225789397476102`, 0.210221858571076}, {1.286555673286202, 
          0.04805534588281593}, {1.2044471940655892`, -0.02827346559972002}, {
          0.9009766302840934, 0.03841095246397311}, {0.8584319585582573, 
          0.14213096369613198`}, {0.8937132404735693, 0.30446051957069686`}, {
          1.1473964668235679`, 0.4359636363470484}},
          SplineDegree->7], 0.023350154254437705`], 
         InsetBox["\<\"b/2\"\>", {1.0400870003949987, -0.05238529465906701}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.1473964668235679`, 0.4359636363470484}, {
          2.091570753413875, 0.8719250841586367}}, 0.023350154254437705`], 
         InsetBox["\<\"a/0\"\>", {1.6194836101187216, 0.6539443602528425}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.091570753413875, 0.8719250841586367}, {
          1.9785430376532283`, 1.0492712720158144`}, {2.03821337640447, 
          1.2471920533012977`}, {2.156409748274065, 1.3225440442753553`}, {
          2.4735147118048704`, 1.1196756747124643`}, {2.454645268648136, 
          0.9807791341441521}, {2.2999623263052795`, 0.8436428065737355}, {
          2.091570753413875, 0.8719250841586367}},
          SplineDegree->7], 0.023350154254437705`], 
         InsetBox["\<\"a/1\"\>", {2.3610233404259393, 1.2931083024289112}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.091570753413875, 0.8719250841586367}, {
          2.234928999151465, 0.4359553834509511}, {2.091527220235569, 0.}}], 
          0.023350154254437705`], 
         InsetBox["\<\"b/0\"\>", {2.152583742715827, 0.43595949475683704}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.091527220235569, 0.}, {1.1473964668235679`, 
          0.4359636363470484}}, 0.023350154254437705`], 
         InsetBox["\<\"a/3\"\>", {1.6194618435295685, 0.2179818181735242}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.091527220235569, 0.}, {
          1.9481689744979735`, 0.43596970070768054`}, {2.091570753413875, 
          0.8719250841586367}}], 0.023350154254437705`], 
         InsetBox["\<\"b/2\"\>", {2.0305142309336173, 0.43596558940179975}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.43597663168935585}, 0.023350154254437705], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.023350154254437705, 0.45932678594379356}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1473964668235679, 0.4359636363470484}, 
          0.023350154254437705], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {1.1707466210780055, 0.4593137906014861}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.091570753413875, 0.8719250841586367}, 
          0.023350154254437705], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {2.114920907668313, 0.8952752384130744}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.091527220235569, 0.}, 0.023350154254437705], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {2.114877374490007, 0.023350154254437705}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8194590308320045`*^9, 3.819463962899884*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"44209c48-90b9-4944-a885-7ccd9404f0ec"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{Automatic, -5.5}, {-5.5, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"4f892991-b418-468e-ab0f-ab6b627063a4"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 42, "Input",ExpressionUUID->"662c4443-254e-4e7d-9bf2-d2f2e4d3ac7b"],
Cell[CellGroupData[{
Cell[784, 27, 1562, 42, 101, "Input",ExpressionUUID->"d075078d-6d52-4026-92c7-08ab670a5135"],
Cell[2349, 71, 5704, 105, 360, "Output",ExpressionUUID->"44209c48-90b9-4944-a885-7ccd9404f0ec"]
}, Open  ]]
}
]
*)

